
TYPO3.Flow - Feature # 28052

Status: On Hold Priority: Should have
Author: Julian Kleinhans Category: Security
Created: 2011-07-09 Assigned To: Julian Kleinhans
Updated: 2013-05-21 Due date:
PHP Version: 5.3
Has patch: No
Complexity: medium
Subject: Possibility to enable or disable accounts
Description

At the moment there is no possibility to enable or disable a account

History
#1 - 2011-07-11 13:48 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I24328e1ff4b2096e7d2de5d602b7bfe5ce45e15b has been pushed to the review server.
It is available at http://review.typo3.org/3245

#2 - 2011-07-11 14:25 - Bastian Waidelich

As stated in the review request:
I think, we'll have to come up with a global deleted/disabled concept (keyword "enableFields").
Those will probably be "injected" in all affected models via mixins.

To be discussed

#3 - 2011-10-18 22:03 - Mr. Hudson

Patch set 2 of change I24328e1ff4b2096e7d2de5d602b7bfe5ce45e15b has been pushed to the review server.
It is available at http://review.typo3.org/3245

#4 - 2012-01-05 17:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/3245

#5 - 2012-01-05 17:32 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/3245

#6 - 2012-03-23 00:12 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/3245

#7 - 2012-05-08 18:40 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/3245

#8 - 2012-05-08 18:48 - Robert Lemke
- Status changed from Under Review to Needs Feedback
- Target version set to 2.0 beta 1
- PHP Version set to 5.3
- Has patch set to No
- Complexity set to medium

#9 - 2012-12-10 13:31 - Karsten Dambekalns
- Status changed from Needs Feedback to On Hold
- Target version changed from 2.0 beta 1 to 2.1

#10 - 2012-12-10 13:36 - Bastian Waidelich

FYI: you can work around this "missing feature" by setting expirationDate of the Account to a DateTime in the past

#11 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
